> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.nowbookit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# POST /Customers/{id}/unsubscribe

> Unsubscribe a customer from marketing emails.

Unsubscribe a customer from marketing emails. No request body is required.

<ParamField header="X-API-KEY" type="string" required>Your API key</ParamField>

<ParamField path="id" type="string" required>NowBookIt customer unique ID</ParamField>

<CodeGroup>
  ```shell curl theme={null}
  curl --location --request POST '[BASE_URL]/Customers/cust-abc123/unsubscribe' \
  --header 'X-API-KEY: your_api_key_here'
  ```
</CodeGroup>

| Status | Description                                         |
| ------ | --------------------------------------------------- |
| `200`  | Customer successfully unsubscribed                  |
| `400`  | `id` — id path parameter is null or empty           |
| `400`  | `No Venue Subscribed to your App.`                  |
| `400`  | API key not associated with a venue                 |
| `401`  | X-API-KEY missing or invalid                        |
| `500`  | `Failed to unsubscribe Customer. Reason: {message}` |


## OpenAPI

````yaml POST /Customers/{id}/unsubscribe
openapi: 3.0.4
info:
  title: NowBookIt IPOS Partner API
  description: >-
    REST API for integrating your POS or external system with NowBookIt's
    reservation, sales, and gift card platform.
  version: v1
  contact:
    email: platform.integrations@nowbookit.com
servers:
  - url: https://ipos.dev.nowbookit.com
    description: Development
  - url: https://ipos.nowbookit.com
    description: Production
security:
  - ApiKeyAuth: []
paths:
  /Customers/{id}/unsubscribe:
    post:
      tags:
        - Customers
      summary: Unsubscribe Customer
      operationId: unsubscribeCustomer
      parameters:
        - name: id
          in: path
          description: The Now Book It Customer Id.
          required: true
          schema:
            type: string
        - name: X-API-KEY
          in: header
          description: API Key authentication header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
        '400':
          description: Bad Request
        '500':
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````